Package org.springframework.jdbc.support.xml

# Interface XmlResultProvider

@Deprecated(since="6.2") public interface XmlResultProvider
Deprecated.
as of 6.2, in favor of direct `SQLXML` usage
Interface defining handling involved with providing `Result` data for XML input.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  - `Result`

## Method Summary

Modifier and Type
Method
Description
`void`
`provideXml(Result result)`
Deprecated.
Implementations must implement this method to provide the XML content for the `Result`.

## Method Details

### provideXml

void provideXml(Result result)
Deprecated.
Implementations must implement this method to provide the XML content for the `Result`. Implementations will vary depending on the `Result` implementation used.

Parameters:
  `result` - the `Result` object being used to provide the XML input